NXOpen.UF.SfCurve.CreateArcPointPointRadius

SfCurve.CreateArcPointPointRadius()

Refer to UF_SF_CURVE_create_arc_point_point_radius for documentation.

Signature: CreateArcPointPointRadius(point1, point2, radius, limitP, supportPlane, isAsso)

Parameters:
  • point1 (Tag) – tag of start point
  • point2 (Tag) – tag of end point
  • radius (float) – value of radius
  • limitP (list of NXOpen.UF.Curve.Limit Refer to UF_CURVE_limit_s for documentation.) – extension limits
  • supportPlane (Tag) – tag of support plane of the arc
  • isAsso (bool) – true - if associative, false - if not associative
Returns:

if is_asso == TRUE - object identifier of new smart arc feature if is_asso == FALSE - object identifier of new dumb arc

Return type:

Tag

License requirements: None